function mdslogical(l,e)

% MDSLOGICAL handles VMS logicals
%   MDSLOGICAL LOG EQ defines the logical LOG with EQ, as in $DEFINE LOG EQ.
%   MDSLOGICAL LOG deassigns the definition, as in $DEASSIGN LOG.

switch nargin
 case 1, mdsdata('librtl->lib$delete_logical($1)',l);
 case 2, mdsdata('librtl->lib$set_logical($1,$2)',l,e);
end
